> For the complete documentation index, see [llms.txt](https://docs.atfinity.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.atfinity.io/document-xml-adx/adx-elements/image.md).

# Image

The `<image>` can be used to display images.

It can be used both within [`<body>`](/document-xml-adx/adx-elements/body.md) and [`<template>`](/document-xml-adx/adx-elements/template.md).

## Example

```xml
<image asset='atfinity_logo' width='3cm' height='1cm'/>
```

## Attributes

#### `asset`

The key of the asset to render as an image.

#### `left`

if used within `<template>` this is the distance from the left border of the document, this can be in pt, mm or cm, e.g. `left="20mm"`. Ignored when used in `<body>`.

#### `bottom`

If used within a template this is the distance from the bottom border of the document, this can be in pt, mm or cm, e.g. `bottom="20mm"`.

#### `width`

The width of the image. Can be in pt, mm or cm, e.g. `width="2cm"`.

#### `height`

The height of the image. Can be in pt, mm or cm, e.g. `height="44mm"`.

#### `proof` (optional)

References a proof file uploaded to the case. The image data is loaded from that proof. Use this when you want to render an uploaded proof inside the document.

#### `informationFile` (optional)

References an information file (or list of files). The image data is loaded from the file stored on that information. When a list of files is given, the first file is used.

#### `class` (optional)

The style class to apply to the image.

#### `spaceBefore` (optional)

Space before the image in pt, mm or cm. Only applies in `<body>` context.

#### `spaceAfter` (optional)

Space after the image in pt, mm or cm. Only applies in `<body>` context.

<details>

<summary></summary>

</details>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.atfinity.io/document-xml-adx/adx-elements/image.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
